
/*
 * CINELERRA
 * Copyright (C) 2008 Adam Williams <broadcast at earthling dot net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef KEYS_H
#define KEYS_H

#define XK_MeunKB 0x1008ff65

// key bindings
#define UP                  256
#define DOWN                257
#define LEFT                258
#define RIGHT               259
#define PGUP                260
#define PGDN                261
#define BACKSPACE           262
#define ESC                 263
#define TAB                 264
// Number pad keys
#define KPPLUS              265
#define KPMINUS             266
#define KPSTAR              267
#define KPSLASH             268
#define KP1                 269
#define KP2                 270
#define KP3                 271
#define KP4                 272
#define KP5                 273
#define KP6                 274
#define KP7                 275
#define KP8                 276
#define KP9                 277
#define KPINS               278
#define KPDEL               279
#define KPENTER             280
#define END                 281
#define HOME                282
#define LEFTTAB             283
#define DELETE              284

#define KPMENU              285
#define KPTV                286
#define KPREV               287
#define KPBOOK              288
#define KPHAND              289
#define KPMUTE              290
#define KPFSCRN             291
#define KPCHUP              292
#define KPCHDN              293
#define KPBACK              294
#define KPPLAY              295
#define KPFWRD              296
#define KPRECD              297
#define KPSTOP              298
#define KPAUSE              299

// function keys
#define KEY_F1              301
#define KEY_F2              302
#define KEY_F3              303
#define KEY_F4              304
#define KEY_F5              305
#define KEY_F6              306
#define KEY_F7              307
#define KEY_F8              308
#define KEY_F9              309
#define KEY_F10             310
#define KEY_F11             311
#define KEY_F12             312
#define KPVOLUP             313
#define KPVOLDN             314
#define KPCC                315

#define RETURN              13
#define NEWLINE             13

#define SKEY_MIN 0x3000000 // Shuttle speed codes
#define SKEY_MAX 0x3010000

#endif
